Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161166 - limit in zsh-4.2.1-2 doesn't work
Summary: limit in zsh-4.2.1-2 doesn't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: zsh
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-20 22:38 UTC by H.J. Lu
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: zsh-4.2.5-1.2.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-11 22:42:38 UTC


Attachments (Terms of Use)
A patch (deleted)
2005-06-22 03:44 UTC, H.J. Lu
no flags Details | Diff

Description H.J. Lu 2005-06-20 22:38:53 UTC
I got

gnu-9:pts/1[15]> limit
gnu-9:pts/1[16]> limit stacksize
limit: no such resource: stacksize

zsh-4.2.0-3 in FC3 works fine:

gnu-13:pts/1[34]> limit                           /export/redhat/src/kernel-EL4
cputime         unlimited
filesize        unlimited
datasize        unlimited
stacksize       8MB
coredumpsize    0kB
memoryuse       unlimited
descriptors     16383
addressspace    1kB
maxproc         32768
memorylocked    unlimited
maxfilelocks    unlimited
gnu-13:pts/1[36]> limit stacksize                 /export/redhat/src/kernel-EL4
stacksize       8MB

Comment 1 H.J. Lu 2005-06-22 03:44:32 UTC
Created attachment 115795 [details]
A patch

This patch works for me.

Comment 2 Christopher Aillon 2006-09-11 22:42:38 UTC
This is fixed in rawhide now and in fc5.


Note You need to log in before you can comment on or make changes to this bug.